Index: palm/trunk/SCRIPTS/NCL/ncl_preferences.ncl
===================================================================
--- palm/trunk/SCRIPTS/NCL/ncl_preferences.ncl	(revision 224)
+++ palm/trunk/SCRIPTS/NCL/ncl_preferences.ncl	(revision 236)
@@ -30,5 +30,5 @@
 
 
-         file_1 = "file_1" 
+         file_1 = "File in" 
 	 
 	 
@@ -41,5 +41,5 @@
       ; data type: integer
       ;
-      ; example:   start_f = 3 (if first file: example_ts.3.nc)
+      ; example:   start_f = 3 (if first file: example_xy_av.3.nc) and 0 (if first file: example_xy_av.nc)
       ;
       ; default:   -1  
@@ -59,5 +59,5 @@
       ; data type: integer
       ;
-      ; example:   end_f = 48 (if last file: example_ts.48.nc)
+      ; example:   end_f = 48 (if last file: example_xy_av.48.nc) and 0 (if last file: example_xy_av.nc)
       ;
       ; default:   -1  
@@ -688,5 +688,5 @@
       ; data type: integer
       ;
-      ; example:   3 (if first file: example_ts.3.nc)
+      ; example:   3 (if first file: example_pr.3.nc) and 0 (if first file: example_pr.nc)
       ;
       ; default:   -1  
@@ -706,5 +706,5 @@
       ; data type: integer
       ;
-      ; example:   48 (if last file: example_ts.48.nc)
+      ; example:   48 (if last file: example_pr.48.nc) and 0 (if last file: example_pr.nc)
       ;
       ; default:   -1  
@@ -713,5 +713,5 @@
       
           
-         end_f_1 = -1 
+         end_f_1 = -1
 	 
 	 
@@ -829,5 +829,5 @@
       
       	 
-         legend = 0 
+         legend = 1 
 	 
 	 
@@ -1634,5 +1634,5 @@
       ; data type: integer
       ;
-      ; example:   start_f = 3 (if first file: example_ts.3.nc)
+      ; example:   start_f = 3 (if first file: example_sp.3.nc) and 0 (if first file: example_sp.nc)
       ;
       ; default:   -1  
@@ -1652,5 +1652,5 @@
       ; data type: integer
       ;
-      ; example:   end_f = 48 (if last file: example_ts.48.nc)
+      ; example:   end_f = 48 (if last file: example_sp.48.nc) and 0 (if last file: example_sp.nc)
       ;
       ; default:   -1  
@@ -2049,5 +2049,5 @@
       ; data type: integer
       ;
-      ; example:   start_f = 3 (if first file: example_ts.3.nc)
+      ; example:   start_f = 3 (if first file: example_ts.3.nc) and 0 (if first file: example_ts.nc)
       ;
       ; default:   -1  
@@ -2067,5 +2067,5 @@
       ; data type: integer
       ;
-      ; example:   end_f = 48 (if last file: example_ts.48.nc)
+      ; example:   end_f = 48 (if last file: example_ts.48.nc) and 0 (if last file: example_ts.nc)
       ;
       ; default:   -1  
Index: palm/trunk/SCRIPTS/NCL/profiles.ncl
===================================================================
--- palm/trunk/SCRIPTS/NCL/profiles.ncl	(revision 224)
+++ palm/trunk/SCRIPTS/NCL/profiles.ncl	(revision 236)
@@ -798,9 +798,25 @@
    if (prof3d .EQ. 1)then
       t_all = f[:]->time
+      nt    = dimsizes(t_all)
    else
-      t_all = f[:]->time(1:) 
-   end if
-   nt    = dimsizes(t_all)
+      t_all = f[:]->time
+      nt    = dimsizes(t_all)
+      t_null = False
+      if (t_all(0) .EQ. 0 .AND. nt .GT. 1)then
+         delete(t_all)
+         t_all = f[:]->time(1:)
+	 nt    = dimsizes(t_all)
+	 t_null = True
+      end if
+   end if
+   
    delta_t=t_all(nt-1)/nt
+   
+   
+   print(nt)
+   print(t_all)
+   
+   
+   ;exit
 
    ; ****************************************************	
@@ -898,9 +914,5 @@
    legend_label=new(nt,double)
    do p=start_time_step,end_time_step
-      if (t_all(p)/3600 .LT. 1) then
-         legend_label(p-start_time_step)=decimalPlaces(t_all(p)/3600,3,True)
-      else
-         legend_label(p-start_time_step)=decimalPlaces(t_all(p)/3600,0,True)
-      end if
+      legend_label(p-start_time_step)=decimalPlaces(t_all(p)/3600,3,True)         
    end do
    
@@ -1416,5 +1428,9 @@
          if (com) then      
             if (prof3d .EQ. 0) then
-               temp = f[:]->$vNam(varn)$(1:,:)
+	       if (t_null)then
+                  temp = f[:]->$vNam(varn)$(1:,:)
+	       else
+	          temp = f[:]->$vNam(varn)$
+	       end if
 	       temp_att = f_att->$vNam(varn)$ 
                if (log_z .EQ. 1) then
@@ -1471,5 +1487,9 @@
 
          if (prof3d .EQ. 0) then
-            temp = f[:]->$vNam(varn)$(1:,:)
+	    if (t_null)then
+               temp = f[:]->$vNam(varn)$(1:,:)
+	    else
+	       temp = f[:]->$vNam(varn)$
+	    end if
 	    temp_att = f_att->$vNam(varn)$ 
          else
@@ -1534,8 +1554,5 @@
             end do            
          end if
-
-         if (data(varn,0,0) .GT. 1.E35) then
-            data(varn,0,:) = data(varn,1,:)
-         end if
+	 
          if (nof .EQ. 0) then
             z_(n,:)=z/norm_z