Index: palm/trunk/SOURCE/CURRENT_MODIFICATIONS
===================================================================
--- palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 234)
+++ palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 237)
@@ -1,4 +1,9 @@
 New:
 ---
+
+Polygon reduction for topography and ground plate isosurface. Reduction level
+for buildings can be chosen with parameter cluster_size. (init_dvrp)
+
+init_dvrp, header, modules, package_parin
 
 
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 234)
+++ palm/trunk/SOURCE/header.f90	(revision 237)
@@ -4,5 +4,5 @@
 ! Actual revisions:
 ! -----------------
-! 
+! Output of cluster_size
 !
 ! Former revisions:
@@ -952,4 +952,9 @@
           i = i + 1
        ENDDO
+
+       IF ( TRIM( topography ) /= 'flat'  .AND.  cluster_size > 1 )  THEN
+          WRITE ( io, 364 )  cluster_size
+       ENDIF
+
     ENDIF
 #endif
@@ -1503,4 +1508,5 @@
 362 FORMAT ('       Sectional plane ',A)
 363 FORMAT ('       Particles')
+364 FORMAT (/'       Polygon reduction for topography: cluster_size = ', I1)
 #endif
 #if defined( __spectra )
Index: palm/trunk/SOURCE/init_dvrp.f90
===================================================================
--- palm/trunk/SOURCE/init_dvrp.f90	(revision 234)
+++ palm/trunk/SOURCE/init_dvrp.f90	(revision 237)
@@ -4,5 +4,6 @@
 ! Actual revisions:
 ! -----------------
-! TEST: print* statements
+! Polygon reduction for building and ground plate isosurface. Reduction level
+! for buildings can be chosen with parameter cluster_size.
 ! ToDo: checking of mode_dvrp for legal values is not correct
 ! Implementation of a MPI-1 coupling: __mpi2 adjustments for MPI_COMM_WORLD
@@ -58,9 +59,10 @@
     CHARACTER (LEN=3)  ::  prefix_chr
     CHARACTER (LEN=80) ::  dvrp_file_local
-    INTEGER ::  i, j, k, l, m, pn, tv, vn
+    INTEGER ::  cluster_mode, cluster_size_x, cluster_size_y, cluster_size_z, &
+                gradient_normals, i, j, k, l, m, pn, tv, vn
     LOGICAL ::  allocated
-    REAL(4) ::  center(3), distance, tmp_b, tmp_g, tmp_r, tmp_t, tmp_th, &
-                tmp_thr, tmp_x1, tmp_x2, tmp_y1, tmp_y2, tmp_z1, tmp_z2, &
-                tmp_1, tmp_2, tmp_3, tmp_4, tmp_5, tmp_6, tmp_7
+    REAL(4) ::  center(3), cluster_alpha, distance, tmp_b, tmp_g, tmp_r, &
+                tmp_t, tmp_th, tmp_thr, tmp_x1, tmp_x2, tmp_y1, tmp_y2,  &
+                tmp_z1, tmp_z2, tmp_1, tmp_2, tmp_3, tmp_4, tmp_5, tmp_6, tmp_7
 
     REAL(4), DIMENSION(:,:,:), ALLOCATABLE ::  local_pf
@@ -164,7 +166,4 @@
           IF ( dvrp_output == 'rtsp' )  THEN
 
-    WRITE ( 9, * ) '***  vor dvrp_output_rtsp'
-    CALL local_flush( 9 )
-
              dvrp_file   = prefix_chr // TRIM( mode_dvrp(m) ) // '/camera.dvr'
              dvrp_file_c = dvrp_file
@@ -172,6 +171,4 @@
                                     dvrp_password_c, dvrp_directory_c, &
                                     dvrp_file_c )
-    WRITE ( 9, * ) '***  nach dvrp_output_rtsp'
-    CALL local_flush( 9 )
 
           ELSEIF ( dvrp_output == 'ftp' )  THEN
@@ -197,6 +194,4 @@
 
           CALL DVRP_CAMERA( m-1, center, distance )
-    WRITE ( 9, * ) '***  #1'
-    CALL local_flush( 9 )
 
 !
@@ -214,29 +209,143 @@
           CALL DVRP_VISUALIZE( m-1, 0, 0 )
           CALL DVRP_EXIT( m-1 )
-    WRITE ( 9, * ) '***  #2'
-    CALL local_flush( 9 )
-
 
 !
 !--       Write topography isosurface on file
+          IF ( TRIM( topography ) /= 'flat' )  THEN
+
+             CALL DVRP_INIT( m-1, 0 )
+
+!
+!--          Create filename for buildings
+             IF ( dvrp_output == 'rtsp' )  THEN
+
+                dvrp_file   = prefix_chr // TRIM( mode_dvrp(m) )  &
+                              // '/buildings.dvr'
+                dvrp_file_c = dvrp_file
+                CALL DVRP_OUTPUT_RTSP( m-1, dvrp_host_c, dvrp_username_c, &
+                                       dvrp_password_c, dvrp_directory_c, &
+                                       dvrp_file_c )
+
+             ELSEIF ( dvrp_output == 'ftp' )  THEN
+
+                dvrp_file   = prefix_chr // TRIM( mode_dvrp(m) )  &
+                              // '.buildings.dvr'
+                dvrp_file_c = dvrp_file
+!                CALL DVRP_OUTPUT_FTP( m-1, 0, dvrp_host_c, dvrp_username_c, &
+!                                      dvrp_password_c, dvrp_directory_c,    &
+!                                      dvrp_file_c )
+
+             ELSE
+
+                IF ( dvrp_file(1:9) /= '/dev/null' )  THEN
+                   dvrp_file_local   = prefix_chr // TRIM( mode_dvrp(m) )  &
+                                       // '.buildings.dvr'
+                   dvrp_file_local_c = dvrp_file_local
+                ELSE
+                   dvrp_file_local_c = dvrp_file_c
+                ENDIF
+                CALL DVRP_OUTPUT_LOCAL( m-1, 0, dvrp_file_local_c )
+
+             ENDIF
+
+!
+!--          Determine local gridpoint coordinates
+             IF ( .NOT. allocated )  THEN
+                ALLOCATE( xcoor_dvrp(nxl:nxr+1), ycoor_dvrp(nys:nyn+1), &
+                          zcoor_dvrp(nzb:nz_do3d) )
+                allocated = .TRUE.
+
+                DO  i = nxl, nxr+1
+                   xcoor_dvrp(i) = i * dx * superelevation_x
+                ENDDO
+                DO  j = nys, nyn+1
+                   ycoor_dvrp(j) = j * dy * superelevation_y
+                ENDDO
+                zcoor_dvrp = zu(nzb:nz_do3d) * superelevation
+                nx_dvrp    = nxr+1 - nxl + 1
+                ny_dvrp    = nyn+1 - nys + 1
+                nz_dvrp    = nz_do3d - nzb + 1
+             ENDIF
+
+!
+!--          Define the grid used by dvrp
+             CALL DVRP_NO_GLOBAL_GRID( m-1, 1 )
+             CALL DVRP_GRID( m-1, nx_dvrp, ny_dvrp, nz_dvrp, xcoor_dvrp, &
+                             ycoor_dvrp, zcoor_dvrp )
+
+             tmp_r = 0.8;  tmp_g = 0.7;  tmp_b = 0.6;  tmp_t = 0.0
+             CALL DVRP_MATERIAL_RGB( m-1, 1, tmp_r, tmp_g, tmp_b, tmp_t )
+
+!
+!--          Compute and plot isosurface in dvr-format
+             ALLOCATE( local_pf(nxl:nxr+1,nys:nyn+1,nzb:nz_do3d) )
+             local_pf = 0.0
+             DO  i = nxl, nxr+1
+                DO  j = nys, nyn+1
+                   IF ( nzb_s_inner(j,i) > 0 )  THEN
+                         local_pf(i,j,nzb:nzb_s_inner(j,i)) = 1.0
+                      ENDIF
+                ENDDO
+             ENDDO
+
+             CALL DVRP_DATA( m-1, local_pf, 1, nx_dvrp, ny_dvrp, nz_dvrp, &
+                             cyclic_dvrp, cyclic_dvrp, cyclic_dvrp )
+
+             tmp_th = 1.0
+             CALL DVRP_THRESHOLD( m-1, tmp_th )
+
+!
+!--          Reduce the number of polygones, if required
+             IF ( cluster_size > 1 )  THEN
+
+                cluster_size_x = cluster_size
+                cluster_size_y = cluster_size
+                cluster_size_z = cluster_size
+                cluster_mode     = 4    ! vertex clustering mode
+                gradient_normals = 0    ! use flat-shading
+
+                CALL DVRP_CLUSTER_SIZE( m-1, cluster_size_x, cluster_size_y, &
+                                        cluster_size_z )
+                CALL DVRP_CLUSTERING_MODE( m-1, cluster_mode )
+                CALL DVRP_GRADIENTNORMALS( m-1, gradient_normals )
+!
+!--             Set parameter for vertex clustering mode 4.
+!--             ATTENTION: A seperate procedure for setting cluster_alpha will
+!--                        be in the next version of libDVRP (Feb 09)
+                cluster_alpha = 38.0
+                CALL DVRP_THRESHOLD( -(m-1)-1, cluster_alpha )
+
+                CALL DVRP_VISUALIZE( m-1, 21, 0 )
+
+             ELSE
+!
+!--             No polygon reduction
+                CALL DVRP_VISUALIZE( m-1, 1, 0 )
+
+             ENDIF
+
+             DEALLOCATE( local_pf )
+
+             CALL DVRP_EXIT( m-1 )
+
+          ENDIF
+
+!
+!--       Write the surface isosurface (ground plate at z=0) on file
           CALL DVRP_INIT( m-1, 0 )
 
 !
-!--       Create filename for buildings
+!--       Create filename for surface
           IF ( dvrp_output == 'rtsp' )  THEN
 
-             dvrp_file   = prefix_chr // TRIM( mode_dvrp(m) )  &
-                  // '/buildings.dvr'
+             dvrp_file   = prefix_chr // TRIM( mode_dvrp(m) ) // '/surface.dvr'
              dvrp_file_c = dvrp_file
              CALL DVRP_OUTPUT_RTSP( m-1, dvrp_host_c, dvrp_username_c, &
                                     dvrp_password_c, dvrp_directory_c, &
                                     dvrp_file_c )
-    WRITE ( 9, * ) '***  #3'
-    CALL local_flush( 9 )
 
           ELSEIF ( dvrp_output == 'ftp' )  THEN
 
-             dvrp_file   = prefix_chr // TRIM( mode_dvrp(m) )  &
-                  // '.buildings.dvr'
+             dvrp_file   = prefix_chr // TRIM( mode_dvrp(m) ) // '.surface.dvr'
              dvrp_file_c = dvrp_file
 !             CALL DVRP_OUTPUT_FTP( m-1, 0, dvrp_host_c, dvrp_username_c, &
@@ -248,5 +357,5 @@
              IF ( dvrp_file(1:9) /= '/dev/null' )  THEN
                 dvrp_file_local   = prefix_chr // TRIM( mode_dvrp(m) )  &
-                     // '.buildings.dvr'
+                     // '.surface.dvr'
                 dvrp_file_local_c = dvrp_file_local
              ELSE
@@ -282,106 +391,6 @@
                           ycoor_dvrp, zcoor_dvrp )
 
-          tmp_r = 0.8;  tmp_g = 0.7;  tmp_b = 0.6;  tmp_t = 0.0
-          CALL DVRP_MATERIAL_RGB( m-1, 1, tmp_r, tmp_g, tmp_b, tmp_t )
-    WRITE ( 9, * ) '***  #4'
-    CALL local_flush( 9 )
-
-!
-!--       Compute and plot isosurface in dvr-format
-          ALLOCATE( local_pf(nxl:nxr+1,nys:nyn+1,nzb:nz_do3d) )
-          local_pf = 0.0
-          DO  i = nxl, nxr+1
-             DO  j = nys, nyn+1
-                IF ( nzb_s_inner(j,i) > 0 )  THEN
-                      local_pf(i,j,nzb:nzb_s_inner(j,i)) = 1.0
-                   ENDIF
-             ENDDO
-          ENDDO
-    WRITE ( 9, * ) '***  #4.1'
-    CALL local_flush( 9 )
-          CALL DVRP_DATA( m-1, local_pf, 1, nx_dvrp, ny_dvrp, nz_dvrp, &
-                          cyclic_dvrp, cyclic_dvrp, cyclic_dvrp )
-    WRITE ( 9, * ) '***  #4.2'
-    CALL local_flush( 9 )
-          tmp_th = 1.0
-          CALL DVRP_THRESHOLD( m-1, tmp_th )
-    WRITE ( 9, * ) '***  #4.3'
-    CALL local_flush( 9 )
-          CALL DVRP_VISUALIZE( m-1, 1, 0 )
-    WRITE ( 9, * ) '***  #4.4'
-    CALL local_flush( 9 )
-
-          DEALLOCATE( local_pf )
-
-          CALL DVRP_EXIT( m-1 )
-    WRITE ( 9, * ) '***  #5'
-    CALL local_flush( 9 )
-
-!
-!--       Write the surface isosurface on file
-          CALL DVRP_INIT( m-1, 0 )
-
-!
-!--       Create filename for surface
-          IF ( dvrp_output == 'rtsp' )  THEN
-
-             dvrp_file   = prefix_chr // TRIM( mode_dvrp(m) ) // '/surface.dvr'
-             dvrp_file_c = dvrp_file
-             CALL DVRP_OUTPUT_RTSP( m-1, dvrp_host_c, dvrp_username_c, &
-                                    dvrp_password_c, dvrp_directory_c, &
-                                    dvrp_file_c )
-    WRITE ( 9, * ) '***  #6'
-    CALL local_flush( 9 )
-
-          ELSEIF ( dvrp_output == 'ftp' )  THEN
-
-             dvrp_file   = prefix_chr // TRIM( mode_dvrp(m) ) // '.surface.dvr'
-             dvrp_file_c = dvrp_file
-!             CALL DVRP_OUTPUT_FTP( m-1, 0, dvrp_host_c, dvrp_username_c, &
-!                                   dvrp_password_c, dvrp_directory_c,    &
-!                                   dvrp_file_c )
-
-          ELSE
-
-             IF ( dvrp_file(1:9) /= '/dev/null' )  THEN
-                dvrp_file_local   = prefix_chr // TRIM( mode_dvrp(m) )  &
-                     // '.surface.dvr'
-                dvrp_file_local_c = dvrp_file_local
-             ELSE
-                dvrp_file_local_c = dvrp_file_c
-             ENDIF
-             CALL DVRP_OUTPUT_LOCAL( m-1, 0, dvrp_file_local_c )
-
-          ENDIF
-
-!
-!--       Determine local gridpoint coordinates
-          IF ( .NOT. allocated )  THEN
-             ALLOCATE( xcoor_dvrp(nxl:nxr+1), ycoor_dvrp(nys:nyn+1), &
-                       zcoor_dvrp(nzb:nz_do3d) )
-             allocated = .TRUE.
-
-             DO  i = nxl, nxr+1
-                xcoor_dvrp(i) = i * dx * superelevation_x
-             ENDDO
-             DO  j = nys, nyn+1
-                ycoor_dvrp(j) = j * dy * superelevation_y
-             ENDDO
-             zcoor_dvrp = zu(nzb:nz_do3d) * superelevation
-             nx_dvrp    = nxr+1 - nxl + 1
-             ny_dvrp    = nyn+1 - nys + 1
-             nz_dvrp    = nz_do3d - nzb + 1
-          ENDIF
-
-!
-!--       Define the grid used by dvrp
-          CALL DVRP_NO_GLOBAL_GRID( m-1, 1 )
-          CALL DVRP_GRID( m-1, nx_dvrp, ny_dvrp, nz_dvrp, xcoor_dvrp, &
-                          ycoor_dvrp, zcoor_dvrp )
-
           tmp_r = 0.0;  tmp_g = 0.6;  tmp_b = 0.0;  tmp_t = 0.0
           CALL DVRP_MATERIAL_RGB( m-1, 1, tmp_r, tmp_g, tmp_b, tmp_t )
-    WRITE ( 9, * ) '***  #7'
-    CALL local_flush( 9 )
 
 !
@@ -395,12 +404,29 @@
           tmp_th = 1.0
           CALL DVRP_THRESHOLD( m-1, tmp_th )
-          CALL DVRP_VISUALIZE( m-1, 1, 0 )
+
+!
+!--       Always reduce the number of polygones
+          cluster_size_x = 5
+          cluster_size_y = 5
+          cluster_size_z = 5
+          cluster_mode     = 4    ! vertex clustering mode
+          gradient_normals = 0    ! use flat-shading
+
+          CALL DVRP_CLUSTER_SIZE( m-1, cluster_size_x, cluster_size_y, &
+                                  cluster_size_z )
+          CALL DVRP_CLUSTERING_MODE( m-1, cluster_mode )
+          CALL DVRP_GRADIENTNORMALS( m-1, gradient_normals )
+!
+!--       Set parameter for vertex clustering mode 4.
+!--       ATTENTION: A seperate procedure for setting cluster_alpha will be in
+!--                  the next version of libDVRP (Feb 09)
+          cluster_alpha = 38.0
+          CALL DVRP_THRESHOLD( -(m-1)-1, cluster_alpha )
+
+          CALL DVRP_VISUALIZE( m-1, 21, 0 )
 
           DEALLOCATE( local_pf )
 
           CALL DVRP_EXIT( m-1 )
-    WRITE ( 9, * ) '***  #8'
-    CALL local_flush( 9 )
-
     
 !       ENDIF
@@ -440,12 +466,8 @@
                 ENDIF
 
-                name_c = TRIM( do3d(0,vn) )
-    WRITE ( 9, * ) '***  #9'
-    CALL local_flush( 9 )
+                name_c  = TRIM( do3d(0,vn) )
                 tmp_thr = threshold(tv)
                 CALL DVRP_STEERING_INIT( m-1, name_c, steering_dvrp(pn)%min, &
                                          steering_dvrp(pn)%max, tmp_thr )
-    WRITE ( 9, * ) '***  #10'
-    CALL local_flush( 9 )
 
              ELSEIF ( mode_dvrp(pn)(1:6) == 'slicer' )  THEN
@@ -490,7 +512,4 @@
           ENDDO
 
-    WRITE ( 9, * ) '***  #11'
-    CALL local_flush( 9 )
-
           dvrp_file = prefix_chr // TRIM( mode_dvrp(m) ) // '/*****.dvr'
           dvrp_file_c = dvrp_file
@@ -498,6 +517,4 @@
                                  dvrp_password_c, dvrp_directory_c, &
                                  dvrp_file_c )
-    WRITE ( 9, * ) '***  #12'
-    CALL local_flush( 9 )
 
        ELSEIF ( dvrp_output == 'ftp' )  THEN
@@ -520,15 +537,4 @@
 
        ENDIF
-
-!       dvrp_file = prefix_chr // TRIM( mode_dvrp(m) ) // '.%05d.dvr'  &
-!                   // CHAR( 0 )
-!       dvrp_file = prefix_chr // TRIM( mode_dvrp(m) ) // '/*****.dvr'  &
-!                   // CHAR( 0 )
-!       dvrp_file = '/dev/null' // CHAR( 0 )
-!       CALL DVRP_OUTPUT_FTP( m-1, 0, dvrp_host, dvrp_username, dvrp_password, &
-!                             dvrp_directory, dvrp_file )
-!       CALL DVRP_OUTPUT_RTSP( m-1, dvrp_host, dvrp_username, dvrp_password, &
-!                              dvrp_directory, dvrp_file )
-!       CALL DVRP_OUTPUT_LOCAL( m-1, 0, dvrp_file )
 
 !
@@ -553,7 +559,4 @@
 !
 !--    Define the grid used by dvrp
-    WRITE ( 9, * ) '***  #13'
-    CALL local_flush( 9 )
-
        IF ( mode_dvrp(m) /= 'pathlines' )  THEN
           CALL DVRP_NO_GLOBAL_GRID( m-1, 1 )
@@ -582,8 +585,4 @@
 
        ENDIF
-
-    WRITE ( 9, * ) '***  #14'
-    CALL local_flush( 9 )
-
 
        m = m + 1
@@ -617,23 +616,11 @@
 !
 !-- Initialize logging of calls by DVRP graphic software
-    WRITE ( 9, * ) '*** myid=', myid, ' vor DVRP_LOG_INIT'
-    CALL local_flush( 9 )
     CALL DVRP_LOG_INIT( 'DVRP_LOG' // CHAR( 0 ), 0 )
-    WRITE ( 9, * ) '*** myid=', myid, ' nach DVRP_LOG_INIT'
-    CALL local_flush( 9 )
 
 !
 !-- User-defined logging events: #1 (total time needed by PALM)
-    WRITE ( 9, * ) '*** myid=', myid, ' vor DVRP_LOG_SYMBOL'
-    CALL local_flush( 9 )
     CALL DVRP_LOG_SYMBOL( 1, 'PALM_total' // CHAR( 0 ) )
-    WRITE ( 9, * ) '*** myid=', myid, ' nach DVRP_LOG_SYMBOL'
-    CALL local_flush( 9 )
     CALL DVRP_LOG_SYMBOL( 2, 'PALM_timestep' // CHAR( 0 ) )
-    WRITE ( 9, * ) '*** myid=', myid, ' vor DVRP_LOG_EVENT'
-    CALL local_flush( 9 )
     CALL DVRP_LOG_EVENT( 1, 1 )
-    WRITE ( 9, * ) '*** myid=', myid, ' nach DVRP_LOG_EVENT'
-    CALL local_flush( 9 )
 
 #if defined( __parallel )
@@ -642,7 +629,6 @@
     CALL local_getenv( 'use_seperate_pe_for_dvrp_output', 31, chr, idummy )
     IF ( chr == 'true' )  THEN
+
        use_seperate_pe_for_dvrp_output = .TRUE.
-       WRITE ( 9, * ) '*** myid=', myid, ' vor DVRP_SPLIT'
-       CALL local_flush( 9 )
 
 !
@@ -663,7 +649,6 @@
 #endif
 
-       WRITE ( 9, * ) '*** myid=', myid, ' nach DVRP_SPLIT'
-       CALL local_flush( 9 )
        CALL MPI_COMM_SIZE( comm_palm, numprocs, ierr )
+
     ENDIF
 #endif
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 234)
+++ palm/trunk/SOURCE/modules.f90	(revision 237)
@@ -5,5 +5,5 @@
 ! Actual revisions:
 ! -----------------
-! 
+! +cluster_size in dvrp_variables
 !
 ! Former revisions:
@@ -528,10 +528,10 @@
                            dvrp_username  = ' '
 
-    INTEGER ::  dvrp_colourtable_entries = 4, islice_dvrp, nx_dvrp, ny_dvrp,  &
-                nz_dvrp, pathlines_fadeintime = 5, pathlines_fadeouttime = 5, &
-                pathlines_linecount = 1000, pathlines_maxhistory = 40,        &
-                pathlines_wavecount = 10, pathlines_wavetime = 50,            &
-                vc_gradient_normals = 0, vc_mode = 0, vc_size_x = 2,          &
-                vc_size_y = 2, vc_size_z = 2
+    INTEGER ::  cluster_size = 1, dvrp_colourtable_entries = 4, islice_dvrp,   &
+                nx_dvrp, ny_dvrp, nz_dvrp, pathlines_fadeintime = 5,           &
+                pathlines_fadeouttime = 5, pathlines_linecount = 1000,         &
+                pathlines_maxhistory = 40, pathlines_wavecount = 10,           &
+                pathlines_wavetime = 50, vc_gradient_normals = 0, vc_mode = 0, &
+                vc_size_x = 2, vc_size_y = 2, vc_size_z = 2
 
     INTEGER, DIMENSION(10) ::  slicer_position_dvrp
Index: palm/trunk/SOURCE/package_parin.f90
===================================================================
--- palm/trunk/SOURCE/package_parin.f90	(revision 234)
+++ palm/trunk/SOURCE/package_parin.f90	(revision 237)
@@ -4,4 +4,5 @@
 ! Actual revisions:
 ! -----------------
+! +cluster_size in dvrp_graphics_par
 ! Variables for dvrp-mode pathlines added
 !
@@ -44,7 +45,7 @@
     CHARACTER (LEN=80) ::  zeile
 
-    NAMELIST /dvrp_graphics_par/  dt_dvrp, dvrp_directory, dvrp_file,          &
-                                  dvrp_host, dvrp_output, dvrp_password,       &
-                                  dvrp_username, mode_dvrp,                    &
+    NAMELIST /dvrp_graphics_par/  cluster_size, dt_dvrp, dvrp_directory,       &
+                                  dvrp_file, dvrp_host, dvrp_output,           &
+                                  dvrp_password, dvrp_username, mode_dvrp,     &
                                   pathlines_fadeintime, pathlines_fadeouttime, &
                                   pathlines_linecount, pathlines_maxhistory,   &