Index: palm/trunk/DOC/app/chapter_4.1.html
===================================================================
--- palm/trunk/DOC/app/chapter_4.1.html	(revision 238)
+++ palm/trunk/DOC/app/chapter_4.1.html	(revision 240)
@@ -2811,5 +2811,142 @@
     </tr>
 
-    <tr>
+    <tr><td style="font-weight: bold; vertical-align: top;"><a name="canyon_height"></a>canyon_height</td><td style="vertical-align: top;">R</td><td style="font-style: italic; vertical-align: top;">50.0</td><td>Street canyon height
+in m.<br>
+
+
+
+
+
+
+ <br>
+
+
+
+
+
+
+ <span style="font-weight: bold;">canyon_height</span> must
+be less than the height of the model domain. This parameter requires&nbsp;<a href="chapter_4.1.html#topography">topography</a>
+= <span style="font-style: italic;">'single_street_canyon'</span>.</td></tr><tr><td style="font-weight: bold; vertical-align: top;"><a name="canyon_width_x"></a>canyon_width_x</td><td style="vertical-align: top;">R</td><td style="font-style: italic; vertical-align: top;">9999999.9</td><td>Street canyon width in x-direction in m.<br>
+
+
+
+
+
+
+ <br>
+
+
+
+
+
+
+
+Currently, <span style="font-weight: bold;">canyon_width_x</span>
+must be at least <span style="font-style: italic;">3
+*&nbsp;</span><a style="font-style: italic;" href="chapter_4.1.html#dx">dx</a> and no more than <span style="font-style: italic;">(&nbsp;</span><a style="font-style: italic;" href="chapter_4.1.html#nx">nx</a><span style="font-style: italic;"> - 1 ) </span><span style="font-style: italic;"> * <a href="chapter_4.1.html#dx">dx</a>
+      </span><span style="font-style: italic;">- <a href="chapter_4.1.html#canyon_wall_left">canyon_wall_left</a></span>.
+This parameter requires&nbsp;<a href="chapter_4.1.html#topography">topography</a>
+= <span style="font-style: italic;">'</span><span style="font-style: italic;">single_street_canyon</span><span style="font-style: italic;">'</span>. A non-default value implies a canyon orientation in y-direction.</td></tr><tr><td style="font-weight: bold; vertical-align: top;"><a name="canyon_width_y"></a>canyon_width_y</td><td style="vertical-align: top;">R</td><td style="font-style: italic; vertical-align: top;">9999999.9</td><td>Street canyon width in y-direction in m.<br>
+
+
+
+
+
+
+ <br>
+
+
+
+
+
+
+
+Currently, <span style="font-weight: bold;">canyon_width_y</span>
+must be at least <span style="font-style: italic;">3
+*&nbsp;</span><a style="font-style: italic;" href="chapter_4.1.html#dy">dy</a> and no more than <span style="font-style: italic;">(&nbsp;</span><a style="font-style: italic;" href="chapter_4.1.html#ny">ny</a><span style="font-style: italic;"> - 1 )&nbsp;</span><span style="font-style: italic;"> * <a href="chapter_4.1.html#dy">dy</a></span><span style="font-style: italic;"> - <a href="chapter_4.1.html#canyon_wall_south">canyon_wall_south</a></span>. This parameter requires&nbsp;<a href="chapter_4.1.html#topography">topography</a>
+= <span style="font-style: italic;">'</span><span style="font-style: italic;">single_street_canyon</span>.&nbsp;A non-default value implies a canyon orientation in x-direction.</td></tr><tr><td style="font-weight: bold; vertical-align: top;"><a name="canyon_wall_left"></a>canyon_wall_left</td><td style="vertical-align: top;">R</td><td style="font-style: italic; vertical-align: top;"><span style="font-style: italic;">canyon centered in x-direction</span></td><td>x-coordinate of the left canyon wall (distance between the
+left canyon wall and the left border of the model domain) in m.<br>
+
+
+
+
+
+
+
+      <br>
+
+
+
+
+
+
+
+Currently, <span style="font-weight: bold;">canyon_wall_left</span>
+must be at least <span style="font-style: italic;">1
+*&nbsp;</span><a style="font-style: italic;" href="chapter_4.1.html#dx">dx</a> and less than <span style="font-style: italic;">( <a href="chapter_4.1.html#nx">nx</a>&nbsp;
+- 1 ) * <a href="chapter_4.1.html#dx">dx</a> -&nbsp; <a href="chapter_4.1.html#canyon_width_x">canyon_width_x</a></span>.
+This parameter requires&nbsp;<a href="chapter_4.1.html#topography">topography</a>
+= <span style="font-style: italic;">'</span><span style="font-style: italic;">single_street_canyon</span><span style="font-style: italic;">'</span>.<br>
+
+
+
+
+
+
+
+      <br>
+
+
+
+
+
+
+
+The default value <span style="font-weight: bold;">canyon_wall_left</span>
+= <span style="font-style: italic;">( ( <a href="chapter_4.1.html#nx">nx</a>&nbsp;+
+1 ) * <a href="chapter_4.1.html#dx">dx</a> -&nbsp; <a href="chapter_4.1.html#canyon_width_x">canyon_width_x</a> ) / 2</span>
+centers the canyon in x-direction.</td></tr><tr><td style="font-weight: bold; vertical-align: top;"><a name="canyon_wall_south"></a>canyon_wall_south</td><td style="vertical-align: top;">R</td><td style="font-style: italic; vertical-align: top;"><span style="font-style: italic;">canyon centered in y-direction</span></td><td>y-coordinate of the South canyon wall (distance between the
+South canyon wall and the South border of the model domain) in m.<br>
+
+
+
+
+
+
+
+      <br>
+
+
+
+
+
+
+
+Currently, <span style="font-weight: bold;">canyon_wall_south</span>
+must be at least <span style="font-style: italic;">1
+*&nbsp;</span><a style="font-style: italic;" href="chapter_4.1.html#dy">dy</a> and less than <span style="font-style: italic;">( <a href="chapter_4.1.html#ny">ny</a>&nbsp;
+- 1 ) * <a href="chapter_4.1.html#dy">dy</a> -&nbsp; <a href="chapter_4.1.html#canyon_width_y">canyon_width_y</a></span>.
+This parameter requires&nbsp;<a href="chapter_4.1.html#topography">topography</a>
+= <span style="font-style: italic;">'</span><span style="font-style: italic;">single_street_canyon</span><span style="font-style: italic;">'</span>.<br>
+
+
+
+
+
+
+
+      <br>
+
+
+
+
+
+
+
+The default value <span style="font-weight: bold;">canyon_wall_south</span>
+= <span style="font-style: italic;">( ( <a href="chapter_4.1.html#ny">ny</a>&nbsp;+
+1 ) * <a href="chapter_4.1.html#dy">dy</a> -&nbsp;&nbsp;</span><a href="chapter_4.1.html#building_length_y"><span style="font-style: italic;"></span></a><a style="font-style: italic;" href="chapter_4.1.html#canyon_width_y">canyon_wid</a><span style="font-style: italic;"><a style="font-style: italic;" href="chapter_4.1.html#canyon_width_y">th_y</a> ) / 2</span>
+centers the canyon in y-direction.</td></tr><tr>
 
 
@@ -3118,8 +3255,9 @@
 
  <span style="font-weight: bold;">conserve_volume_flow</span>
-= <span style="font-style: italic;">.TRUE.</span>
+= <span style="font-style: italic;">.T.</span>
 guarantees that the volume flow through the xz- or yz-cross-section of
 the total model domain remains constant (equal to the initial value at
-t=0) throughout the run.<br>
+t=0) throughout the run.<br><br>Note that&nbsp;<span style="font-weight: bold;">conserve_volume_flow</span>
+= <span style="font-style: italic;">.T.</span> requires <a href="#dp_external">dp_external</a> = <span style="font-style: italic;">.F.</span> .<br>
 
 
@@ -3519,5 +3657,13 @@
 
  </tr>
-
+    <tr><td style="vertical-align: top;"><p><a name="dp_external"></a><b>dp_external</b></p></td><td style="vertical-align: top;">L</td><td style="vertical-align: top; font-style: italic;">.F.</td><td>External pressure gradient switch.<br><br>This
+parameter is used to switch on/off an external pressure gradient as
+driving force. The external pressure gradient is controlled by the
+parameters <a href="#dp_smooth">dp_smooth</a>, <a href="#dp_level_b">dp_level_b</a> and <a href="#dpdxy">dpdxy</a>.<br><br>Note that&nbsp;<span style="font-weight: bold;">dp_external</span> = <span style="font-style: italic;">.T.</span> requires <a href="#conserve_volume_flow">conserve_volume_flow</a> =<span style="font-style: italic;"> .F. </span>It is normally recommended to disable the Coriolis force by setting <a href="l#omega">omega</a> = 0.0.</td></tr><tr><td style="vertical-align: top;"><p><a name="dp_smooth"></a><b>dp_smooth</b></p></td><td style="vertical-align: top;">L</td><td style="vertical-align: top; font-style: italic;">.F.</td><td>Vertically smooth the external pressure gradient using a sinusoidal smoothing function.<br><br>This parameter only applies if <a href="#dp_external">dp_external</a> = <span style="font-style: italic;">.T. </span>. It is useful in combination with&nbsp;<a href="#dp_level_b">dp_level_b</a> &gt;&gt; 0 to generate a non-accelerated boundary layer well below&nbsp;<a href="#dp_level_b">dp_level_b</a>.</td></tr><tr><td style="vertical-align: top;"><p><a name="dp_level_b"></a><b>dp_level_b</b></p></td><td style="vertical-align: top;">R</td><td style="vertical-align: top; font-style: italic;">0.0</td><td><font size="3">Lower
+limit of the vertical range for which the external pressure gradient is applied (</font>in <font size="3">m).</font><br><br>This parameter only applies if <a href="#dp_external">dp_external</a> = <span style="font-style: italic;">.T. </span><span lang="en-GB">It
+must hold the condition zu(0) &lt;= <b>dp_level_b</b>
+&lt;= zu(</span><a href="#nz"><span lang="en-GB">nz</span></a><span lang="en-GB">)</span><span lang="en-GB">.&nbsp;</span>It can be used in combination with&nbsp;<a href="#dp_smooth">dp_smooth</a> = <span style="font-style: italic;">.T.</span> to generate a non-accelerated boundary layer well below&nbsp;<span style="font-weight: bold;">dp_level_b</span> if&nbsp;<span style="font-weight: bold;">dp_level_b</span> &gt;&gt; 0.<br><br>Note
+that there is no upper limit of the vertical range because the external
+pressure gradient is always applied up to the top of the model domain.</td></tr><tr><td style="vertical-align: top;"><p><a name="dpdxy"></a><b>dpdxy</b></p></td><td style="vertical-align: top;">R(2)</td><td style="font-style: italic; vertical-align: top;">2 * 0.0</td><td>Values of the external pressure gradient applied in x- and y-direction, respectively (in Pa/m).<br><br>This parameter only applies if <a href="#dp_external">dp_external</a> = <span style="font-style: italic;">.T. </span>It sets the pressure gradient values. Negative values mean an acceleration, positive values mean deceleration. For example, <span style="font-weight: bold;">dpdxy</span> = -0.0002, 0.0, drives the flow in positive x-direction, <span lang="en-GB"></span></td></tr>
 
 
@@ -13985,5 +14131,5 @@
 
 
-The building size and location can be specified with the parameters <a href="#building_height">building_height</a>, <a href="#building_length_x">building_length_x</a>, <a href="#building_length_y">building_length_y</a>, <a href="#building_wall_left">building_wall_left</a> and <a href="#building_wall_south">building_wall_south</a>.<font color="#000000"><br></font></div>
+The building size and location can be specified by the parameters <a href="#building_height">building_height</a>, <a href="#building_length_x">building_length_x</a>, <a href="#building_length_y">building_length_y</a>, <a href="#building_wall_left">building_wall_left</a> and <a href="#building_wall_south">building_wall_south</a>.<font color="#000000"><br></font></div>
 
 
@@ -14000,5 +14146,44 @@
       
       
-      <p><span style="font-style: italic;">'read_from_file'</span><br>
+      <p><span style="font-style: italic;">'single_street_canyon'</span><br>
+
+
+
+
+
+
+
+      </p>
+
+
+
+
+
+
+ 
+      
+      
+      
+      
+      
+      
+      <div style="margin-left: 40px;">Flow
+over a single, quasi-2D street canyon of infinite length oriented either in x- or in y-direction.<br>
+
+
+
+
+
+
+
+The canyon size, orientation and location can be specified by the parameters <a href="chapter_4.1.html#canyon_height">canyon_height</a> plus <span style="font-weight: bold;">either</span>&nbsp;<a href="chapter_4.1.html#canyon_width_x">canyon_width_x</a> and <a href="chapter_4.1.html#canyon_wall_left">canyon_wall_left</a> <span style="font-weight: bold;">or</span>&nbsp; <a href="chapter_4.1.html#canyon_width_y">canyon_width_y</a> and <a href="chapter_4.1.html#canyon_wall_south">canyon_wall_south</a>.<font color="#000000"><br></font></div>
+
+
+
+
+
+
+
+      <span style="font-style: italic;"></span>&nbsp;<span style="font-style: italic;"></span><p><span style="font-style: italic;">'read_from_file'</span><br>
 
 
Index: palm/trunk/DOC/app/chapter_4.2.html
===================================================================
--- palm/trunk/DOC/app/chapter_4.2.html	(revision 238)
+++ palm/trunk/DOC/app/chapter_4.2.html	(revision 240)
@@ -3398,5 +3398,5 @@
 
 
-      <td style="vertical-align: top;"> 
+      <td style="vertical-align: top; font-family: Helvetica,Arial,sans-serif;"> 
       
       
@@ -3411,5 +3411,5 @@
       
       
-      <p><span lang="en-GB"><font face="Thorndale, serif">The parameter </font></span><a href="#create_disturbances"><span lang="en-GB"><font face="Thorndale, serif">create_disturbances</font></span></a><font face="Thorndale, serif"><span lang="en-GB">
+      <p><span lang="en-GB">The parameter </span><a href="#create_disturbances"><span lang="en-GB">create_disturbances</span></a><span lang="en-GB">
 describes how to impose
 random perturbations to the horizontal velocity field. The perturbation
@@ -3420,5 +3420,5 @@
 velocities are imposed no more. The value of this parameter usually
 must be determined by trial and error (it depends e.g. on the total
-number of grid points).</span> </font> </p>
+number of grid points).</span>  </p>
 
 
@@ -3457,39 +3457,103 @@
 
 
-      <td style="vertical-align: top;"> 
-      
-      
-      <p lang="en-GB"><font face="Thorndale, serif"><font size="3">Lower
+      <td style="vertical-align: top; font-family: Helvetica,Arial,sans-serif;"> 
+      
+      
+      <p lang="en-GB"><font size="3">Lower
 limit of the vertical range for which random perturbations are to be
-imposed on the horizontal wind field (</font></font>in <font face="Thorndale, serif"><font size="3">m).&nbsp;
-      </font></font> </p>
-
-
- 
-      
-      
-      <p><span lang="en-GB"><font face="Thorndale, serif">This
+imposed on the horizontal wind field (</font>in <font size="3">m).&nbsp;
+      </font> </p>
+
+
+ 
+      
+      
+      <p><span lang="en-GB">This
 parameter must hold the condition zu(3) &lt;= <b>disturbance_level_b</b>
-&lt;= zu(</font></span><a href="chapter_4.1.html#nz"><span lang="en-GB"><font face="Thorndale, serif">nz-2</font></span></a><span lang="en-GB"><font face="Thorndale, serif">)</font></span><span lang="en-GB"><font face="Thorndale, serif">. Additionally, <b>disturbance_level_b</b>
-&lt;= </font></span><a href="#disturbance_level_t"><span lang="en-GB"><font face="Thorndale, serif">disturbance_level_t</font></span></a>
-      <span lang="en-GB"><font face="Thorndale, serif">must
-also hold.</font></span></p>
-
-
-      
-      
-      <p><span lang="en-GB"><font face="Thorndale, serif">In case of ocean runs (see <a href="chapter_4.1.html#ocean">ocean</a>) </font></span><span lang="en-GB"><span style="font-family: Thorndale,serif;">the default value is <span style="font-weight: bold;">disturbance_level_b</span> = <span style="font-style: italic;">zu(nz * 2 / 3) </span>(negative).</span></span><a href="chapter_4.1.html#nz"><span lang="en-GB"></span></a><span lang="en-GB"></span><span lang="en-GB"></span></p>
-
-
- 
-      
-      
-      <p><span lang="en-GB"><font face="Thorndale, serif">The
-parameter </font></span><a href="#create_disturbances"><span lang="en-GB"><font face="Thorndale, serif">create_disturbances</font></span></a><font face="Thorndale, serif"><span lang="en-GB">
+&lt;= zu(</span><a href="chapter_4.1.html#nz"><span lang="en-GB">nz-2</span></a><span lang="en-GB">)</span><span lang="en-GB">. Additionally, <b>disturbance_level_b</b>
+&lt;= </span><a href="#disturbance_level_t"><span lang="en-GB">disturbance_level_t</span></a>
+      <span lang="en-GB">must
+also hold.</span></p>
+
+
+      
+      
+      <p><span lang="en-GB">In case of ocean runs (see <a href="chapter_4.1.html#ocean">ocean</a>) </span><span lang="en-GB">the default value is <span style="font-weight: bold;">disturbance_level_b</span> = <span style="font-style: italic;">zu(nz * 2 / 3) </span>(negative).</span><a href="chapter_4.1.html#nz"><span lang="en-GB"></span></a><span lang="en-GB"></span><span lang="en-GB"></span></p>
+
+
+ 
+      
+      
+      <p><span lang="en-GB">The
+parameter </span><a href="#create_disturbances"><span lang="en-GB">create_disturbances</span></a><span lang="en-GB">
 describes how to impose
-random perturbations to the horizontal velocity field</span></font><font face="Thorndale, serif"><span lang="en-GB">.</span>
+random perturbations to the horizontal velocity field</span><span lang="en-GB">.</span>
+       </p>
+
+
+ </td>
+
+
+ </tr>
+
+
+ <tr>
+
+
+ <td style="vertical-align: top;"> 
+      
+      
+      <p><a name="disturbance_level_t"></a><b>disturbance_level_t</b></p>
+
+
+
+      </td>
+
+
+ <td style="vertical-align: top;">R</td>
+
+
+
+      <td style="vertical-align: top;"><i>zu(nz/3) or<br>
+
+
+zu(nzt-3)<br>
+
+
+see right</i></td>
+
+
+
+      <td style="vertical-align: top; font-family: Helvetica,Arial,sans-serif;"> 
+      
+      
+      <p lang="en-GB"><font size="3">Upper
+limit of the vertical range for which random perturbations are to be
+imposed on the horizontal wind field (</font>in <font size="3">m).&nbsp;
       </font> </p>
 
 
+ 
+      
+      
+      <p><span lang="en-GB">This
+parameter must hold the condition <b>disturbance_level_t</b>
+&lt;= zu<i>(</i></span><i><a href="chapter_4.1.html#nz"><span lang="en-GB">nz-2</span></a><span lang="en-GB">)</span></i><span lang="en-GB">.
+Additionally, </span><a href="#disturbance_level_b"><span lang="en-GB">disturbance_level_b</span></a>
+      <span lang="en-GB">&lt;=
+      <b>disturbance_level_t</b>
+must also hold.</span></p>
+
+
+      <span lang="en-GB">In case of ocean runs (see <a href="chapter_4.1.html#ocean">ocean</a>) </span><span lang="en-GB">the default value is <span style="font-weight: bold;">disturbance_level_t</span> = <span style="font-style: italic;">zu(nzt - 3</span>)</span><span lang="en-GB"><span style="font-style: italic;"> </span>(negative)</span><span lang="en-GB">.</span>
+      
+      
+      <p><span lang="en-GB">The
+parameter </span><a href="#create_disturbances"><span lang="en-GB">create_disturbances</span></a><span lang="en-GB">
+describes how to impose
+random perturbations to the horizontal velocity field</span><span lang="en-GB">.</span>
+       </p>
+
+
  </td>
 
@@ -3504,68 +3568,4 @@
       
       
-      <p><a name="disturbance_level_t"></a><b>disturbance_level_t</b></p>
-
-
-
-      </td>
-
-
- <td style="vertical-align: top;">R</td>
-
-
-
-      <td style="vertical-align: top;"><i>zu(nz/3) or<br>
-
-
-zu(nzt-3)<br>
-
-
-see right</i></td>
-
-
-
-      <td style="vertical-align: top;"> 
-      
-      
-      <p lang="en-GB"><font face="Thorndale, serif"><font size="3">Upper
-limit of the vertical range for which random perturbations are to be
-imposed on the horizontal wind field (</font></font>in <font face="Thorndale, serif"><font size="3">m).&nbsp;
-      </font></font> </p>
-
-
- 
-      
-      
-      <p><span lang="en-GB"><font face="Thorndale, serif">This
-parameter must hold the condition <b>disturbance_level_t</b>
-&lt;= zu<i>(</i></font></span><i><a href="chapter_4.1.html#nz"><span lang="en-GB"><font face="Thorndale, serif">nz-2</font></span></a><span lang="en-GB"><font face="Thorndale, serif">)</font></span></i><span lang="en-GB"><font face="Thorndale, serif">.
-Additionally, </font></span><a href="#disturbance_level_b"><span lang="en-GB"><font face="Thorndale, serif">disturbance_level_b</font></span></a>
-      <span lang="en-GB"><font face="Thorndale, serif">&lt;=
-      <b>disturbance_level_t</b>
-must also hold.</font></span></p>
-
-
-      <span lang="en-GB"><font face="Thorndale, serif">In case of ocean runs (see <a href="chapter_4.1.html#ocean">ocean</a>) </font></span><span lang="en-GB"><span style="font-family: Thorndale,serif;">the default value is <span style="font-weight: bold;">disturbance_level_t</span> = <span style="font-style: italic;">zu(nzt - 3</span>)</span></span><span lang="en-GB"><span style="font-family: Thorndale,serif;"><span style="font-style: italic;"> </span>(negative)</span></span><span lang="en-GB"><span style="font-family: Thorndale,serif;">.</span></span>
-      
-      
-      <p><span lang="en-GB"><font face="Thorndale, serif">The
-parameter </font></span><a href="#create_disturbances"><span lang="en-GB"><font face="Thorndale, serif">create_disturbances</font></span></a><font face="Thorndale, serif"><span lang="en-GB">
-describes how to impose
-random perturbations to the horizontal velocity field</span></font><font face="Thorndale, serif"><span lang="en-GB">.</span>
-      </font> </p>
-
-
- </td>
-
-
- </tr>
-
-
- <tr>
-
-
- <td style="vertical-align: top;"> 
-      
-      
       <p><a name="do2d_at_begin"></a><b>do2d_at_begin</b></p>
 
@@ -3582,5 +3582,5 @@
 
 
-      <td style="vertical-align: top;">.F.<br>
+      <td style="vertical-align: top; font-style: italic;">.F.<br>
 
 
@@ -3637,5 +3637,5 @@
 
 
-      <td style="vertical-align: top;">.F.<br>
+      <td style="vertical-align: top; font-style: italic;">.F.<br>
 
 
@@ -3685,5 +3685,5 @@
 
 
-      <td style="vertical-align: top;">.F.<br>
+      <td style="vertical-align: top; font-style: italic;">.F.<br>
 
 
@@ -3762,5 +3762,5 @@
 
 
- <td style="vertical-align: top;">see
+ <td style="vertical-align: top; font-style: italic;">see
 right<br>
 
@@ -3828,5 +3828,5 @@
 
 
-    <tr>
+ <tr>
 
 
@@ -3852,21 +3852,21 @@
       
       
-      <p lang="en-GB"><font face="Thorndale, serif"><font size="3">Time
-step to be used by the 3d-model (</font></font>in <font face="Thorndale, serif"><font size="3">s).&nbsp;
-      </font></font> </p>
-
-
- 
-      
-      
-      <p><span lang="en-GB"><font face="Thorndale, serif">This parameter</font></span>
-      <font face="Thorndale, serif"><span lang="en-GB">is
+      <font style="font-family: Helvetica,Arial,sans-serif;" face="Thorndale, serif"><font size="3">Time
+step to be used by the 3d-model (</font></font><span style="font-family: Helvetica,Arial,sans-serif;">in </span><font style="font-family: Helvetica,Arial,sans-serif;" face="Thorndale, serif"><font size="3">s).&nbsp;
+      </font></font> 
+
+
+ 
+      
+      
+      <p style="font-family: Helvetica,Arial,sans-serif;"><span lang="en-GB">This parameter</span>
+      <span lang="en-GB">is
 described in
-detail with the initialization parameters (see</span></font><span lang="en-GB"><font face="Thorndale, serif"> </font></span><a href="chapter_4.1.html#dt"><span lang="en-GB"><font face="Thorndale, serif">dt</font></span></a><font face="Thorndale, serif"><span lang="en-GB">).
+detail with the initialization parameters (see</span><span lang="en-GB"> </span><a href="chapter_4.1.html#dt"><span lang="en-GB">dt</span></a><span lang="en-GB">).
 Additionally, it may be
 used as a run parameter and then applies to all restart runs (until it
 is changed again). A switch from a constant time step to a variable
-time step can be achieved with <b>dt</b> = <i>-1.0</i>.</span>
-      </font> </p>
+time step can be achieved with <b>dt</b> = <i>-1.0</i>.</span></p><font face="Thorndale, serif">
+      </font> 
 
 
@@ -3917,17 +3917,17 @@
 
 
-      <br>
-
-
-      <font face="Thorndale, serif"><span lang="en-GB">With
+      <br style="font-family: Helvetica,Arial,sans-serif;">
+
+
+      <font style="font-family: Helvetica,Arial,sans-serif;" face="Thorndale, serif"><span lang="en-GB">With
 variable time step (see <span style="font-weight: bold;">dt</span>),
 the number of time levels entering the average can vary from one
-averaging interval to the next (for a more detailed explanation see </span></font><font><a href="#averaging_interval"><span lang="en-GB"><font face="Thorndale, serif">averaging_interval</font></span></a>)</font><font face="Thorndale, serif"><span lang="en-GB">. It
+averaging interval to the next (for a more detailed explanation see </span></font><font style="font-family: Helvetica,Arial,sans-serif;"><a href="#averaging_interval"><span lang="en-GB">averaging_interval</span></a>)</font><font style="font-family: Helvetica,Arial,sans-serif;" face="Thorndale, serif"><span lang="en-GB">. It
 is approximately given by the quotient of <span style="font-weight: bold;">averaging_interval</span> /
 MAX(<span style="font-weight: bold;"> dt_averaging_input</span>,
       <span style="font-weight: bold;">dt</span>) (which
 gives a more or less exact value if a fixed timestep is used and if
-this is an integral divisor of <span style="font-weight: bold;">dt_averaging_input</span>).</span></font>&nbsp;
-      <br>
+this is an integral divisor of <span style="font-weight: bold;">dt_averaging_input</span>).</span></font><span style="font-family: Helvetica,Arial,sans-serif;">&nbsp;
+      </span><br style="font-family: Helvetica,Arial,sans-serif;">
 
 
Index: palm/trunk/DOC/app/chapter_4.6.html
===================================================================
--- palm/trunk/DOC/app/chapter_4.6.html	(revision 238)
+++ palm/trunk/DOC/app/chapter_4.6.html	(revision 240)
@@ -1830,5 +1830,6 @@
       <td>Canopy mode</td>
     </tr>
-    <tr>
+    <tr><td style="font-weight: bold;"><a href="chapter_4.1.html#canyon_height">canyon_height</a></td><td>I</td><td>R</td><td style="font-style: italic;">50.0</td><td>Street canyon height
+in m.</td></tr><tr><td style="font-weight: bold;"><a href="chapter_4.1.html#canyon_width_x">canyon_width_x</a></td><td>I</td><td>R</td><td style="font-style: italic;">9999999.9</td><td>Street canyon width in x-direction in m.</td></tr><tr><td style="font-weight: bold;"><a href="chapter_4.1.html#canyon_width_y">canyon_width_y</a></td><td>I</td><td>R</td><td style="font-style: italic;">9999999.9</td><td>Street canyon width in y-direction in m.</td></tr><tr><td style="font-weight: bold;"><a href="chapter_4.1.html#canyon_wall_left">canyon_wall_left</a></td><td>I</td><td>R</td><td style="font-style: italic;">canyon centered in x-direction</td><td>x-coordinate of the left canyon wall&nbsp;in m.</td></tr><tr><td style="font-weight: bold;"><a href="chapter_4.1.html#canyon_wall_south">canyon_wall_south</a></td><td>I</td><td>R</td><td style="font-style: italic;">canyon centered in y-direction</td><td>y-coordinate of the South canyon wall&nbsp;in m.</td></tr><tr>
 
 
@@ -3471,5 +3472,6 @@
 
 
- <tr>
+ <tr><td style="font-weight: bold;"><a href="chapter_4.1.html#dp_external">dp_external</a></td><td>R</td><td>L</td><td style="font-style: italic;">.F.</td><td>External pressure gradient switch.</td></tr><tr><td style="font-weight: bold;"><a href="chapter_4.1.html#dp_smooth">dp_smooth</a></td><td>R</td><td>L</td><td style="font-style: italic;">.F.</td><td>Vertically smooth the external pressure gradient using a sinusoidal smoothing function.</td></tr><tr><td style="font-weight: bold;"><a href="chapter_4.1.html#dp_level_b">dp_level_b</a></td><td>R</td><td>R</td><td style="font-style: italic;">0.0</td><td><font size="3">Lower
+limit of the vertical range for which the external pressure gradient is applied (</font>in <font size="3">m).</font></td></tr><tr><td style="font-weight: bold;"><a href="chapter_4.1.html#dpdxy">dpdxy</a></td><td>R</td><td>R (2)</td><td style="font-style: italic;">2 * 0.0</td><td>Values of the external pressure gradient applied in x- and y-direction, respectively (in Pa/m).<br></td></tr><tr>
       <td><a href="chapter_4.1.html#drag_coefficient"><span style="font-weight: bold;">drag_coefficient</span></a></td>
       <td>I</td>
Index: palm/trunk/DOC/tec/message_identifiers
===================================================================
--- palm/trunk/DOC/tec/message_identifiers	(revision 238)
+++ palm/trunk/DOC/tec/message_identifiers	(revision 240)
@@ -230,9 +230,15 @@
     PA0149           particle out of range: i=... j=... k=... 
                       nxl=... nxr=... nys=... nyn=... nzb=... nzt=...
- 
+    PA0150           Both dp_external and conserve_volume_flow are .TRUE. 
+                      but one of them must be .FALSE.
+    PA0151           dp_level_b = ... is out of range
+    PA0152           dp_external is .TRUE. but dpdxy is zero, i.e. the external 
+                      pressure gradient will not be applied
+    PA0153           dpdxy is nonzero but dp_external is .FALSE., i.e. the external
+                      pressure gradient will not be applied
 
     UI0001           The value for "topography_grid_convention" is not set. 
                       Its default value is only valid for 
-                      "topography" = ''single_building'' or 
+                      "topography" = ''single_building'', ''single_street_canyon''or 
                       ''read_from_file'' Choose ''cell_edge'' or 
                       ''cell_center''.