Index: palm/trunk/DOC/app/chapter_4.1.html
===================================================================
--- palm/trunk/DOC/app/chapter_4.1.html	(revision 240)
+++ palm/trunk/DOC/app/chapter_4.1.html	(revision 241)
@@ -3256,7 +3256,6 @@
  <span style="font-weight: bold;">conserve_volume_flow</span>
 = <span style="font-style: italic;">.T.</span>
-guarantees that the volume flow through the xz- or yz-cross-section of
-the total model domain remains constant (equal to the initial value at
-t=0) throughout the run.<br><br>Note that&nbsp;<span style="font-weight: bold;">conserve_volume_flow</span>
+guarantees that the volume flow through the xz- and yz-cross-sections of
+the total model domain remains constant throughout the run depending on the chosen <a href="#conserve_volume_flow_mode">conserve_volume_flow_mode</a>.<br><br>Note that&nbsp;<span style="font-weight: bold;">conserve_volume_flow</span>
 = <span style="font-style: italic;">.T.</span> requires <a href="#dp_external">dp_external</a> = <span style="font-style: italic;">.F.</span> .<br>
 
@@ -3281,5 +3280,120 @@
 
 
- <tr>
+ <tr><td style="vertical-align: top;"><span style="font-weight: bold;"><a name="conserve_volume_flow_mode"></a>conserve_volume_flow_mode</span></td><td style="vertical-align: top;">C * 16</td><td style="vertical-align: top;"><span style="font-style: italic;">'default'</span></td><td>Modus of volume flow conservation.<br><br>The following values are allowed:<br><p style="font-style: normal;"><span style="font-style: italic;">'default'</span>
+      </p>
+
+
+
+
+
+
+ 
+      
+      
+      
+      
+      
+      
+      <ul><p>Per default, PALM uses&nbsp;<span style="font-style: italic;">'initial_profiles'</span> for cyclic lateral boundary conditions (<a href="#bc_lr">bc_lr</a> = <span style="font-style: italic;">'cyclic'</span> and <a href="#bc_ns">bc_ns</a> = <span style="font-style: italic;">'cyclic'</span>) and&nbsp;<span style="font-style: italic;">'inflow_profile'</span> for non-cyclic lateral boundary conditions (<a href="chapter_4.1.html#bc_lr">bc_lr</a> /= <span style="font-style: italic;">'cyclic'</span> or <a href="chapter_4.1.html#bc_ns">bc_ns</a> /= <span style="font-style: italic;">'cyclic'</span>).</p></ul>
+
+
+
+
+
+
+ 
+      
+      
+      
+      
+      
+      
+      <p style="font-style: italic;">'initial_profiles' </p>
+
+
+
+
+
+
+
+      
+      
+      
+      
+      
+      
+      <ul><p>The target volume flow&nbsp;is calculated at t=0 from the initial profiles of u and v.&nbsp;This setting is only allowed for&nbsp;cyclic lateral boundary conditions (<a href="chapter_4.1.html#bc_lr">bc_lr</a> = <span style="font-style: italic;">'cyclic'</span> and <a href="chapter_4.1.html#bc_ns">bc_ns</a> = <span style="font-style: italic;">'cyclic'</span>).</p></ul>
+
+
+
+
+
+
+ 
+      
+      
+      
+      
+      
+      
+      <p style="font-style: normal;"><span style="font-style: italic;">'inflow_profile'</span>
+      </p>
+
+
+
+
+
+
+ 
+      
+      
+      
+      
+      
+      
+      <ul><p>The target volume flow&nbsp;is&nbsp;calculated at every timestep from the inflow profile of&nbsp;u or v, respectively. This setting&nbsp;is only allowed for&nbsp;non-cyclic lateral boundary conditions (<a href="chapter_4.1.html#bc_lr">bc_lr</a> /= <span style="font-style: italic;">'cyclic'</span> or <a href="chapter_4.1.html#bc_ns">bc_ns</a> /= <span style="font-style: italic;">'cyclic'</span>).</p></ul>
+
+
+
+
+
+
+ 
+      
+      
+      
+      
+      
+      
+      <p style="font-style: italic;">'bulk_velocity' </p>
+
+
+
+
+
+
+
+      
+      
+      
+      
+      
+      
+      <ul><p>The target volume flow is calculated from a predefined bulk velocity (see <a href="#u_bulk">u_bulk</a> and <a href="#v_bulk">v_bulk</a>). This setting is only allowed for&nbsp;cyclic lateral boundary conditions (<a href="chapter_4.1.html#bc_lr">bc_lr</a> = <span style="font-style: italic;">'cyclic'</span> and <a href="chapter_4.1.html#bc_ns">bc_ns</a> = <span style="font-style: italic;">'cyclic'</span>).</p></ul>
+
+
+
+
+
+
+ 
+      
+      
+      
+      
+      
+      
+      <span style="font-style: italic;"></span>Note that&nbsp;<span style="font-weight: bold;">conserve_volume_flow_mode</span>
+only comes into effect if <a href="#conserve_volume_flow">conserve_volume_flow</a> = <span style="font-style: italic;">.T. .</span> </td></tr><tr>
 
       <td style="vertical-align: top;"><a name="cthf"></a><span style="font-weight: bold;">cthf</span></td>
@@ -14851,5 +14965,5 @@
 for recycling and the width of the layer within&nbsp;the magnitude of
 the turbulence signal is damped from 100% to 0% can be set with
-parameters <a href="chapter_4.1.html#inflow_damping_height">inflow_damping_height</a> and <a href="chapter_4.1.html#inflow_damping_width">inflow_damping_width</a>.<br><br>The detailed setup for a turbulent inflow is described in <a href="chapter_3.9.html">chapter 3.9</a>.</td></tr><tr>
+parameters <a href="chapter_4.1.html#inflow_damping_height">inflow_damping_height</a> and <a href="chapter_4.1.html#inflow_damping_width">inflow_damping_width</a>.<br><br>The detailed setup for a turbulent inflow is described in <a href="chapter_3.9.html">chapter 3.9</a>.</td></tr><tr><td style="vertical-align: top;"><span style="font-weight: bold;"><a name="u_bulk"></a>u_bulk</span></td><td style="vertical-align: top;">R</td><td style="vertical-align: top;"><span style="font-style: italic;">0.0</span></td><td>u-component of the predefined bulk velocity (in m/s).<br><br>This parameter comes into effect if <a href="#conserve_volume_flow">conserve_volume_flow</a> = <span style="font-style: italic;">.T.</span> and <a href="#conserve_volume_flow_mode">conserve_volume_flow_mode</a> = <span style="font-style: italic;">'bulk_velocity'</span>.</td></tr><tr>
 
 
@@ -16284,5 +16398,5 @@
 
 
-    <tr>
+    <tr><td style="vertical-align: top;"><span style="font-weight: bold;"><a name="v_bulk"></a>v_bulk</span></td><td style="vertical-align: top;">R</td><td style="vertical-align: top;"><span style="font-style: italic;">0.0</span></td><td>v-component of the predefined bulk velocity (in m/s).<br><br>This parameter comes into effect if <a href="chapter_4.1.html#conserve_volume_flow">conserve_volume_flow</a> = <span style="font-style: italic;">.T.</span> and <a href="chapter_4.1.html#conserve_volume_flow_mode">conserve_volume_flow_mode</a> = <span style="font-style: italic;">'bulk_velocity'</span>.</td></tr><tr>
 
 
Index: palm/trunk/DOC/app/chapter_4.6.html
===================================================================
--- palm/trunk/DOC/app/chapter_4.6.html	(revision 240)
+++ palm/trunk/DOC/app/chapter_4.6.html	(revision 241)
@@ -2090,5 +2090,5 @@
 
 
- <tr>
+ <tr><td><a href="chapter_4.1.html#conserve_volume_flow_mode"><span style="font-weight: bold;">conserve_volume_flow_mode</span></a></td><td>I</td><td>C * 16</td><td><span style="font-style: italic;">'default'</span></td><td>Modus of volume flow conservation.</td></tr><tr>
 
 
@@ -13907,5 +13907,5 @@
 
 
-    <tr><td align="undefined" valign="undefined"><a href="chapter_4.1.html#turbulent_inflow"><span style="font-weight: bold;">turbulent_inflow</span></a></td><td align="undefined" valign="undefined">I</td><td align="undefined" valign="undefined">L</td><td align="undefined" valign="undefined"><span style="font-style: italic;">.F.</span></td><td align="undefined" valign="undefined">Generates a turbulent inflow at side boundaries using a turbulence recycling method.</td></tr><tr>
+    <tr><td align="undefined" valign="undefined"><a href="chapter_4.1.html#turbulent_inflow"><span style="font-weight: bold;">turbulent_inflow</span></a></td><td align="undefined" valign="undefined">I</td><td align="undefined" valign="undefined">L</td><td align="undefined" valign="undefined"><span style="font-style: italic;">.F.</span></td><td align="undefined" valign="undefined">Generates a turbulent inflow at side boundaries using a turbulence recycling method.</td></tr><tr><td><a href="chapter_4.1.html#u_bulk"><span style="font-weight: bold;">u_bulk</span></a></td><td>I</td><td>R</td><td><span style="font-style: italic;">0.0</span></td><td>u-component of the predefined bulk velocity (in m/s).</td></tr><tr>
 
 
@@ -14457,5 +14457,5 @@
 
 
- <td>.F.</td>
+ <td style="font-style: italic;">.F.</td>
 
 
@@ -14846,5 +14846,5 @@
 
 
- <tr>
+ <tr><td><a href="chapter_4.1.html#v_bulk"><span style="font-weight: bold;">v_bulk</span></a></td><td>I</td><td>R</td><td><span style="font-style: italic;">0.0</span></td><td>v-component of the predefined bulk velocity (in m/s).</td></tr><tr>
 
 
Index: palm/trunk/DOC/tec/message_identifiers
===================================================================
--- palm/trunk/DOC/tec/message_identifiers	(revision 240)
+++ palm/trunk/DOC/tec/message_identifiers	(revision 241)
@@ -235,12 +235,20 @@
     PA0152           dp_external is .TRUE. but dpdxy is zero, i.e. the external 
                       pressure gradient will not be applied
-    PA0153           dpdxy is nonzero but dp_external is .FALSE., i.e. the external
-                      pressure gradient will not be applied
+    PA0153           dpdxy is nonzero but dp_external is .FALSE., i.e. the 
+                      external pressure gradient will not be applied
+    PA0154           unknown conserve_volume_flow_mode: ...
+    PA0155           noncyclic boundary conditions require
+                      conserve_volume_flow_mode = ''inflow_profile''
+    PA0156           cyclic boundary conditions require conserve_volume_flow_mode =
+                      ''initial_profiles'' or ''bulk_velocity''
+                      requires noncyclic boundary conditions
+    PA0157           nonzero bulk velocity requires conserve_volume_flow = .T. and 
+                      conserve_volume_flow_mode = ''bulk_velocity''
 
     UI0001           The value for "topography_grid_convention" is not set. 
                       Its default value is only valid for 
-                      "topography" = ''single_building'', ''single_street_canyon''or 
-                      ''read_from_file'' Choose ''cell_edge'' or 
-                      ''cell_center''.
+                      "topography" = ''single_building'', 
+                      ''single_street_canyon'' or ''read_from_file'' 
+                      Choose ''cell_edge'' or ''cell_center''.
     UI0002           The value for "topography_grid_convention" is not 
                       recognized. Choose ''cell_edge'' or ''cell_center''.
Index: palm/trunk/SOURCE/CURRENT_MODIFICATIONS
===================================================================
--- palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 240)
+++ palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 241)
@@ -10,4 +10,8 @@
 New topography case 'single_street_canyon' (header, init_grid, modules, parin, 
 read_var_list, user_check_parameters, user_header, user_init_grid, write_var_list)
+
+Option to predefine a target bulk velocity for conserve_volume_flow 
+(check_parameters, header, init_3d_model, modules, parin, read_var_list, 
+write_var_list)
 
 check_parameters, init_dvrp, init_grid, init_3d_model, header, modules, package_parin, parin, prognostic_equations, read_var_list, user_check_parameters, user_header, user_init_grid, write_var_list
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 240)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 241)
@@ -2840,4 +2840,40 @@
        CALL message( 'check_parameters', 'PA0153', 0, 1, 0, 6, 0 )
     ENDIF
+    IF ( conserve_volume_flow )  THEN
+       IF ( TRIM( conserve_volume_flow_mode ) == 'default' )  THEN
+          IF ( bc_lr /= 'cyclic'  .OR.  bc_ns /= 'cyclic' )  THEN
+             conserve_volume_flow_mode = 'inflow_profile'
+          ELSE
+             conserve_volume_flow_mode = 'initial_profiles'
+          ENDIF
+       ELSEIF ( TRIM( conserve_volume_flow_mode ) /= 'initial_profiles' .AND.  &
+            TRIM( conserve_volume_flow_mode ) /= 'inflow_profile' .AND.  &
+            TRIM( conserve_volume_flow_mode ) /= 'bulk_velocity' )  THEN
+          WRITE( message_string, * )  'unknown conserve_volume_flow_mode: ', &
+               conserve_volume_flow_mode
+          CALL message( 'check_parameters', 'PA0154', 1, 2, 0, 6, 0 )
+       ENDIF
+       IF ( ( bc_lr /= 'cyclic'  .OR.  bc_ns /= 'cyclic' ) .AND. &
+            TRIM( conserve_volume_flow_mode ) /= 'inflow_profile' )  THEN
+          WRITE( message_string, * )  'noncyclic boundary conditions ', &
+               'require & conserve_volume_flow_mode = ''inflow_profile'''
+          CALL message( 'check_parameters', 'PA0155', 1, 2, 0, 6, 0 )
+       ENDIF
+       IF ( bc_lr == 'cyclic'  .AND.  bc_ns == 'cyclic'  .AND.  &
+            TRIM( conserve_volume_flow_mode ) == 'inflow_profile' )  THEN
+          WRITE( message_string, * )  'cyclic boundary conditions ', &
+               'require & conserve_volume_flow_mode = ''initial_profiles''', &
+               ' or ''bulk_velocity'''
+          CALL message( 'check_parameters', 'PA0156', 1, 2, 0, 6, 0 )
+       ENDIF
+    ENDIF
+    IF ( ( u_bulk /= 0.0 .OR. v_bulk /= 0.0 ) .AND.  &
+         ( .NOT. conserve_volume_flow .OR.  &
+         TRIM( conserve_volume_flow_mode ) /= 'bulk_velocity' ) )  THEN
+       WRITE( message_string, * )  'nonzero bulk velocity requires ', &
+            'conserve_volume_flow = .T. and & ', &
+            'conserve_volume_flow_mode = ''bulk_velocity'''
+       CALL message( 'check_parameters', 'PA0157', 1, 2, 0, 6, 0 )
+    ENDIF
 
 !
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 240)
+++ palm/trunk/SOURCE/header.f90	(revision 241)
@@ -5,7 +5,7 @@
 ! -----------------
 ! Output of cluster_size
-! +dp_external, dp_level_b, dp_smooth, dpdxy
 ! +canyon_height, canyon_width_x, canyon_width_y, canyon_wall_left,
-! canyon_wall_south
+! canyon_wall_south, conserve_volume_flow_mode, dp_external, dp_level_b, 
+! dp_smooth, dpdxy, u_bulk, v_bulk
 !
 ! Former revisions:
@@ -290,10 +290,13 @@
     IF ( passive_scalar )  WRITE ( io, 134 )
     IF ( conserve_volume_flow )  THEN
-       WRITE ( io, 150 )
+       WRITE ( io, 150 )  conserve_volume_flow_mode
+       IF ( TRIM( conserve_volume_flow_mode ) == 'bulk_velocity' )  THEN
+          WRITE ( io, 151 )  u_bulk, v_bulk
+       ENDIF
     ELSEIF ( dp_external )  THEN
        IF ( dp_smooth )  THEN
-          WRITE ( io, 151 ) dpdxy, dp_level_b, ', vertically smoothed.'
+          WRITE ( io, 152 )  dpdxy, dp_level_b, ', vertically smoothed.'
        ELSE
-          WRITE ( io, 151 ) dpdxy, dp_level_b, '.'
+          WRITE ( io, 152 )  dpdxy, dp_level_b, '.'
        ENDIF
     ENDIF
@@ -1406,6 +1409,8 @@
                   'kinetic energy')
 150 FORMAT (' --> Volume flow at the right and north boundary will be ', &
-                  'conserved')
-151 FORMAT (' --> External pressure gradient directly prescribed by the user:'/, &
+                  'conserved'/ &
+            '     using the ',A,' mode')
+151 FORMAT ('     with u_bulk = ',F7.3,' m/s and v_bulk = ',F7.3,' m/s')
+152 FORMAT (' --> External pressure gradient directly prescribed by the user:'/, &
               2(1X,E12.5),'Pa/m', &
 	     ' in x/y direction starting from dp_level_b =', F6.3, 'm', &
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 240)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 241)
@@ -9,4 +9,6 @@
 ! Set the starting level and the vertical smoothing factor used for 
 ! the external pressure gradient
+! +converve_volume_flow_mode: 'default', 'initial_profiles', 'inflow_profile'
+! and 'bulk_velocity'
 !
 ! Former revisions:
@@ -821,5 +823,13 @@
           volume_flow_initial = volume_flow_initial_l
           volume_flow_area    = volume_flow_area_l
-#endif  
+#endif
+!
+!--       In case of 'bulk_velocity' mode, volume_flow_initial is overridden
+!--       and calculated from u|v_bulk instead.
+          IF ( TRIM( conserve_volume_flow_mode ) == 'bulk_velocity' )  THEN
+             volume_flow_initial(1) = u_bulk * volume_flow_area(1)
+             volume_flow_initial(2) = v_bulk * volume_flow_area(2)
+          ENDIF
+
        ENDIF
 
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 240)
+++ palm/trunk/SOURCE/modules.f90	(revision 241)
@@ -6,8 +6,8 @@
 ! -----------------
 ! +cluster_size in dvrp_variables
-! +dp_external, dp_level_b, dp_level_ind_b, dp_smooth, dp_smooth_factor, dpdxy,
-! in control_parameters
 ! +canyon_height, canyon_width_x, canyon_width_y, canyon_wall_left, 
-! canyon_wall_south in control_parameters
+! canyon_wall_south, conserve_volume_flow_mode, dp_external, dp_level_b, 
+! dp_level_ind_b, dp_smooth, dp_smooth_factor, dpdxy, u_bulk, v_bulk in 
+! control_parameters
 !
 ! Former revisions:
@@ -273,5 +273,6 @@
     CHARACTER (LEN=11)   ::  topography_grid_convention = ' '
     CHARACTER (LEN=12)   ::  version = ' ', revision = ' '
-    CHARACTER (LEN=16)   ::  loop_optimization = 'default', &
+    CHARACTER (LEN=16)   ::  conserve_volume_flow_mode = 'default', &
+                             loop_optimization = 'default', &
                              momentum_advec = 'pw-scheme', &
                              psolver = 'poisfft', &
@@ -432,7 +433,6 @@
              recycling_width = 9999999.9, residual_limit = 1.0E-4, &
              restart_time = 9999999.9, rho_reference, rho_surface, &
-             rif_max = 1.0, &
-             rif_min = -5.0, roughness_length = 0.1, sa_surface = 35.0, &
-             scalar_exchange_coefficient = 0.0, &
+             rif_max = 1.0, rif_min = -5.0, roughness_length = 0.1, &
+             sa_surface = 35.0, scalar_exchange_coefficient = 0.0, &
              simulated_time = 0.0, simulated_time_at_begin, sin_alpha_surface, &
              skip_time_data_output = 0.0, skip_time_data_output_av = 9999999.9,&
@@ -444,18 +444,17 @@
              s_surface = 0.0, s_surface_initial_change = 0.0, &
              termination_time_needed = -1.0, time_coupling = 0.0, &
-             time_disturb = 0.0, &
-             time_dopr = 0.0, time_dopr_av = 0.0, time_dopr_listing = 0.0, &
-             time_dopts = 0.0, time_dosp = 0.0, time_dosp_av = 0.0, &
-             time_dots = 0.0, time_do2d_xy = 0.0, time_do2d_xz = 0.0, &
-             time_do2d_yz = 0.0, time_do3d = 0.0, time_do_av = 0.0, &
-             time_do_sla = 0.0, time_dvrp = 0.0, time_prel = 0.0, &
-             time_restart = 9999999.9, time_run_control = 0.0, &
+             time_disturb = 0.0, time_dopr = 0.0, time_dopr_av = 0.0, &
+             time_dopr_listing = 0.0, time_dopts = 0.0, time_dosp = 0.0, &
+             time_dosp_av = 0.0, time_dots = 0.0, time_do2d_xy = 0.0, &
+             time_do2d_xz = 0.0, time_do2d_yz = 0.0, time_do3d = 0.0, &
+             time_do_av = 0.0, time_do_sla = 0.0, time_dvrp = 0.0, &
+             time_prel = 0.0, time_restart = 9999999.9, time_run_control = 0.0,&
              top_heatflux = 9999999.9, top_momentumflux_u = 9999999.9, &
              top_momentumflux_v = 9999999.9, top_salinityflux = 9999999.9, &
-             ug_surface = 0.0, u_gtrans = 0.0, &
+             ug_surface = 0.0, u_bulk = 0.0, u_gtrans = 0.0, &
              ups_limit_e = 0.0, ups_limit_pt = 0.0, ups_limit_u = 0.0, &
              ups_limit_v = 0.0, ups_limit_w = 0.0, vg_surface = 0.0, &
-             v_gtrans = 0.0, wall_adjustment_factor = 1.8, z_max_do1d = -1.0, &
-             z_max_do1d_normalized = -1.0, z_max_do2d = -1.0
+             v_bulk = 0.0, v_gtrans = 0.0, wall_adjustment_factor = 1.8, &
+             z_max_do1d = -1.0, z_max_do1d_normalized = -1.0, z_max_do2d = -1.0
 
     REAL ::  do2d_xy_last_time(0:1) = -1.0, do2d_xz_last_time(0:1) = -1.0, &
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 240)
+++ palm/trunk/SOURCE/parin.f90	(revision 241)
@@ -5,5 +5,6 @@
 ! -----------------
 ! +canyon_height, canyon_width_x, canyon_width_y, canyon_wall_left, 
-! canyon_wall_south, dp_external, dp_level_b, dp_smooth, dpdxy in inipar
+! canyon_wall_south, conserve_volume_flow_mode, dp_external, dp_level_b, 
+! dp_smooth, dpdxy, u_bulk, v_bulk in inipar
 !
 ! Former revisions:
@@ -88,5 +89,6 @@
              canopy_mode, canyon_height, canyon_width_x, canyon_width_y, &
              canyon_wall_left, canyon_wall_south, cloud_droplets, &
-             cloud_physics, conserve_volume_flow, cthf, cut_spline_overshoot, &
+             cloud_physics, conserve_volume_flow, conserve_volume_flow_mode, &
+             cthf, cut_spline_overshoot, &
              damp_level_1d, dissipation_1d, dp_external, dp_level_b, &
              dp_smooth, dpdxy, drag_coefficient, dt, dt_pr_1d, &
@@ -117,9 +119,9 @@
              topography, top_heatflux, top_momentumflux_u, top_momentumflux_v, &
              top_salinityflux, turbulent_inflow, ug_surface, &
-             ug_vertical_gradient, ug_vertical_gradient_level, ups_limit_e, &
-             ups_limit_pt, ups_limit_u, ups_limit_v, ups_limit_w, &
+             ug_vertical_gradient, ug_vertical_gradient_level, u_bulk, &
+             ups_limit_e, ups_limit_pt, ups_limit_u, ups_limit_v, ups_limit_w, &
              use_surface_fluxes, use_top_fluxes, use_ug_for_galilei_tr, &
              use_upstream_for_tke, vg_surface, vg_vertical_gradient, &
-             vg_vertical_gradient_level, wall_adjustment, wall_heatflux
+             vg_vertical_gradient_level, v_bulk, wall_adjustment, wall_heatflux
 
 
Index: palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- palm/trunk/SOURCE/read_var_list.f90	(revision 240)
+++ palm/trunk/SOURCE/read_var_list.f90	(revision 241)
@@ -5,5 +5,6 @@
 ! -----------------
 ! +canyon_height, canyon_width_x, canyon_width_y, canyon_wall_left, 
-! canyon_wall_south, dp_external, dp_level_b, dp_smooth, dpdxy
+! canyon_wall_south, conserve_volume_flow_mode, dp_external, dp_level_b, 
+! dp_smooth, dpdxy, u_bulk, v_bulk
 !
 ! Former revisions:
@@ -81,5 +82,5 @@
 !-- Make version number check first
     READ ( 13 )  version_on_file
-    binary_version = '3.3'
+    binary_version = '3.4'
     IF ( TRIM( version_on_file ) /= TRIM( binary_version ) )  THEN
        IF ( myid == 0 )  THEN
@@ -240,4 +241,6 @@
           CASE ( 'conserve_volume_flow' )
              READ ( 13 )  conserve_volume_flow
+          CASE ( 'conserve_volume_flow_mode' )
+             READ ( 13 )  conserve_volume_flow_mode
           CASE ( 'cthf' )
              READ ( 13 )  cthf
@@ -508,4 +511,6 @@
           CASE ( 'turbulent_inflow' )
              READ ( 13 )  turbulent_inflow
+          CASE ( 'u_bulk' )
+             READ ( 13 )  u_bulk
           CASE ( 'u_init' )
              READ ( 13 )  u_init
@@ -542,4 +547,6 @@
           CASE ( 'use_upstream_for_tke' )
              READ ( 13 )  use_upstream_for_tke
+          CASE ( 'v_bulk' )
+             READ ( 13 )  v_bulk
           CASE ( 'v_init' )
              READ ( 13 )  v_init
Index: palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- palm/trunk/SOURCE/write_var_list.f90	(revision 240)
+++ palm/trunk/SOURCE/write_var_list.f90	(revision 241)
@@ -5,5 +5,6 @@
 ! -----------------
 ! +canyon_height, canyon_width_x, canyon_width_y, canyon_wall_left, 
-! canyon_wall_south, dp_external, dp_level_b, dp_smooth, dpdxy
+! canyon_wall_south, conserve_volume_flow_mode, dp_external, dp_level_b, 
+! dp_smooth, dpdxy, u_bulk, v_bulk
 !
 ! Former revisions:
@@ -71,5 +72,5 @@
 
 
-    binary_version = '3.3'
+    binary_version = '3.4'
 
     WRITE ( 14 )  binary_version
@@ -168,4 +169,6 @@
     WRITE ( 14 )  'conserve_volume_flow          '
     WRITE ( 14 )  conserve_volume_flow
+    WRITE ( 14 )  'conserve_volume_flow_mode     '
+    WRITE ( 14 )  conserve_volume_flow_mode
     WRITE ( 14 )  'current_timestep_number       '
     WRITE ( 14 )  current_timestep_number
@@ -432,4 +435,6 @@
     WRITE ( 14 )  'turbulent_inflow              '
     WRITE ( 14 )  turbulent_inflow
+    WRITE ( 14 )  'u_bulk                        '
+    WRITE ( 14 )  u_bulk
     WRITE ( 14 )  'u_init                        '
     WRITE ( 14 )  u_init
@@ -466,4 +471,6 @@
     WRITE ( 14 )  'use_upstream_for_tke          '
     WRITE ( 14 )  use_upstream_for_tke
+    WRITE ( 14 )  'v_bulk                        '
+    WRITE ( 14 )  v_bulk
     WRITE ( 14 )  'v_init                        '
     WRITE ( 14 )  v_init