Index: palm/trunk/DOC/app/chapter_4.4.1.html
===================================================================
--- palm/trunk/DOC/app/chapter_4.4.1.html	(revision 243)
+++ palm/trunk/DOC/app/chapter_4.4.1.html	(revision 244)
@@ -156,15 +156,15 @@
 parameters
 file described above are set within the file </p>
-<ul> <pre style="margin-bottom: 0.5cm; line-height: 100%;"><font style="font-size: 10pt;" size="2">~/palm/current_version/JOBS/example/INPUT/example_p3d</font></pre></ul><p style="line-height: 100%;">and that the conditions
+<ul> <pre style="margin-bottom: 0.5cm; line-height: 100%;"><font style="font-size: 10pt;" size="2">~/palm/current_version/JOBS/example/INPUT/example_cbl_p3d</font></pre></ul><p style="line-height: 100%;">and that the conditions
 mentioned in the
 first sections of <a href="chapter_3.2.html">chapter
 3.2</a> are met, the model run can be started with the command </p>
 <p style="line-height: 100%;"><font face="Cumberland, monospace"><font style="font-size: 10pt;" size="2">mrun
--d example -h ibmh -K parallel -X 8 -T 8 -t 1800 -q cdev -r
+-d example_cbl -h ibmh -K parallel -X 8 -T 8 -t 1800 -q cdev -r
 &ldquo;d3# xy# xz# pr#&rdquo;</font></font></p>
 <p style="line-height: 100%;">The output files will appear
 in the
 directories </p>
-<blockquote style="line-height: 100%;"><tt><font style="font-size: 10pt;" size="2">~/palm/current_version/JOBS/example/MONITORING</font></tt><font style="font-size: 10pt;" size="2"><br> </font><tt><font style="font-size: 10pt;" size="2">~/palm/current_version/JOBS/example/OUTPUT
+<blockquote style="line-height: 100%;"><tt><font style="font-size: 10pt;" size="2">~/palm/current_version/JOBS/example_cbl/MONITORING</font></tt><font style="font-size: 10pt;" size="2"><br> </font><tt><font style="font-size: 10pt;" size="2">~/palm/current_version/JOBS/example_cbl/OUTPUT
 ,</font></tt></blockquote>
 <p style="line-height: 100%;">while the job protocol will
Index: palm/trunk/DOC/app/chapter_5.0.html
===================================================================
--- palm/trunk/DOC/app/chapter_5.0.html	(revision 243)
+++ palm/trunk/DOC/app/chapter_5.0.html	(revision 244)
@@ -198,5 +198,5 @@
 </b>configuration file (described in </font><a href="chapter_3.2.html"><font color="#000080">chapter
 3.2</font></a><font color="#000000">), as well
-as the </font><a href="http://www.muk.uni-hannover.de/%7Eraasch/PALM_group/INSTALL/example_p3d"><font color="#000080">parameter
+as the </font><a href="http://www.muk.uni-hannover.de/%7Eraasch/PALM_group/INSTALL/example_cbl_p3d"><font color="#000080">parameter
 file</font></a><font color="#000000">
 (described in </font><a href="chapter_4.4.1.html"><font color="#000080">chapter
@@ -204,10 +204,10 @@
 parameter file must be
 copied from the PALM working copy by<br>
-</font><div style="margin-left: 40px;"><span style="font-family: monospace;"></span><font style="font-family: Courier New,Courier,monospace;" color="#000000">mkdir -p JOBS/example/INPUT<br>cp
-trunk/INSTALL/example_p3d&nbsp;JOBS/example/INPUT/example_p3d</font><font color="#000000"><span style="font-family: Courier New,Courier,monospace;"></span></font></div>
+</font><div style="margin-left: 40px;"><span style="font-family: monospace;"></span><font style="font-family: Courier New,Courier,monospace;" color="#000000">mkdir -p JOBS/example_cbl/INPUT<br>cp
+trunk/INSTALL/example_cbl_p3d&nbsp;JOBS/example_cbl/INPUT/example_cbl_p3d</font><font color="#000000"><span style="font-family: Courier New,Courier,monospace;"></span></font></div>
 <p style="line-height: 100%;"><font color="#000000">The
 test run can
 now be started by executing the command </font>
-</p><pre style="margin-left: 1cm; margin-right: 1cm; margin-bottom: 0.5cm; line-height: 100%; font-family: Courier New,Courier,monospace;"><font color="#000000">mrun -d example -h ibmh -K parallel -X 8 -T 8 -t 500 -q cdev -r &ldquo;d3# pr#&rdquo;</font></pre>
+</p><pre style="margin-left: 1cm; margin-right: 1cm; margin-bottom: 0.5cm; line-height: 100%; font-family: Courier New,Courier,monospace;"><font color="#000000">mrun -d example_cbl -h ibmh -K parallel -X 8 -T 8 -t 500 -q cdev -r &ldquo;d3# pr#&rdquo;</font></pre>
 <font color="#000000">This specific run
 will be carried out on 8 PEs and is allowed to use up to 500 seconds
@@ -234,17 +234,17 @@
 files should be found in
 the
-directories</p><div style="margin-left: 40px; font-family: Courier New,Courier,monospace;">~/palm/current_version/JOBS/example/MONITORING</div><p style="line-height: 100%;">and</p>
+directories</p><div style="margin-left: 40px; font-family: Courier New,Courier,monospace;">~/palm/current_version/JOBS/example_cbl/MONITORING</div><p style="line-height: 100%;">and</p>
 <p style="line-height: 100%;"><span style="font-family: monospace;">&nbsp;&nbsp;&nbsp;
-</span><span style="font-family: Courier New,Courier,monospace;">~/palm/current_version/JOBS/example/OUTPUT</span><span style="font-family: monospace;"></span><br>
+</span><span style="font-family: Courier New,Courier,monospace;">~/palm/current_version/JOBS/example_cbl/OUTPUT</span><span style="font-family: monospace;"></span><br>
 </p><p style="line-height: 100%;">Please compare the
 contents of file</p>
 <p style="line-height: 100%;"><span style="font-family: monospace;">&nbsp;&nbsp;&nbsp;
-</span><span style="font-family: Courier New,Courier,monospace;">~/palm/current_version/JOBS/example/MONITORING/ibmh_example_rc</span><br>
+</span><span style="font-family: Courier New,Courier,monospace;">~/palm/current_version/JOBS/example_cbl/MONITORING/ibmh_example_rc</span><br>
 </p><p style="line-height: 100%;">with those of the
 example result file which can be found under<span style="font-family: Courier New,Courier,monospace;">
-trunk/INSTALL/example_rc</span>., e.g. by using the<span style="font-family: Courier New,Courier,monospace;"><span style="font-family: Times New Roman,Times,serif;"> standard</span>
+trunk/INSTALL/example_cbl_rc</span>., e.g. by using the<span style="font-family: Courier New,Courier,monospace;"><span style="font-family: Times New Roman,Times,serif;"> standard</span>
 diff </span>command:</p><p style="line-height: 100%; margin-left: 40px; font-family: Courier New,Courier,monospace;">diff
-&nbsp;JOBS/example/MONITORING/ibmh_example_rc
-trunk/INSTALL/example_rc</p><p style="line-height: 100%;">where
+&nbsp;JOBS/example_cbl/MONITORING/ibmh_example_cbl_rc
+trunk/INSTALL/example_cbl_rc</p><p style="line-height: 100%;">where
 it is assumed that your working directory is<span style="font-family: Courier New,Courier,monospace;">
 ~/palm/current_version</span>.</p><span style="font-weight: bold;">You should not find any